Bug 282371 - Modification of a read-only value attempted error (Question.pm Resolver/Base.pm)
Modification of a read-only value attempted error (Question.pm Resolver/Base.pm)
Product: Fedora
Classification: Fedora
Component: perl-Net-DNS (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-07 09:40 EDT by Aleksander Adamowski
Modified: 2008-03-06 07:17 EST (History)
2 users (show)

See Also:
Fixed In Version: perl-Net-DNS-0.61-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-06 07:17:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
The fix (830 bytes, patch)
2007-09-07 09:40 EDT, Aleksander Adamowski
no flags Details | Diff

  None (edit)
Description Aleksander Adamowski 2007-09-07 09:40:55 EDT
Description of problem:

See http://www.mail-archive.com/debian-bugs-dist@lists.debian.org/msg368485.html.

This bug, among others, causes a "Modification of a read-only value attempted"
error in OTRS:

Attached patch fixes this problem.
Comment 1 Aleksander Adamowski 2007-09-07 09:40:55 EDT
Created attachment 189921 [details]
The fix
Comment 2 Robin Norwood 2007-09-07 15:42:00 EDT
It looks like the latest version of perl-Net-DNS (0.61) fixes this issue.  This
version is already available as an update for F7 and is in rawhide.  I've built
that version, and it should be in updates-testing soon.  Can you give it a try
when it becomes available?
Comment 3 Jan Pazdziora 2008-03-05 09:06:17 EST
As there was no further communication from the original poster since September,
I propose closing this bug as CURRENTRELEASE.
Comment 4 Aleksander Adamowski 2008-03-06 04:37:08 EST
I'm running perl-Net-DNS-0.61-1.fc7 and I didn't experience the problem anymore.

Note You need to log in before you can comment on or make changes to this bug.